Apple’s Software Update Breaks Due To Expired SSL Certificate

/ 2 years ago


Apple had been experiencing problems with their certificates this weekend. More specifically, the Software Update certificate required in order to communicate with Apple’s Software Update servers had apparently expired.

The expiry issue led to countless users being greeted with a message emphasising that “An Error has occurred. The certificate for this server is invalid. You might be connecting to a server that is pretending to be ‘’ which could put you confidential information at risk.” A graphical representation of the error can be viewed below:


The error has been spotted by a group of readers over at MacRumor, stating that they were greeted with the above mentioned error message when attempting to perform a software update on their macintosh computers. Also, the ‘’ address appears to be one of the several servers used by Apple to relay software updates.

The problem consisted of the certificate being valid from May 23rd 2012 up until May 24th 2014 and most probably Apple forgot to issue a renewal request for the certificate in question at a reasonable time, thus leading to the error described.


Furthermore, reports show that the same issue could have been the top culprit for the NSURLErrorDomain error -1012, which apparently had a similar connection problem with Apple’s Software Update servers.

Nonetheless, users who experience one of the two issues should contact Apple Support in order to clarify the situation and resolve it as quickly as possible, since constant updates are required to maintain and keep a computer safe from unwanted software.

Thank you MacRumor for providing us with this information
Images courtesy of MacRumor

Topics: , , , , , , , , , ,